\section{Introduction}
\label{sec:Intro}
The power and energy demands of high-performance computing (HPC) centers are growing due to an increasing number of systems on site, an increase in individual system size and an increase in both the rate of change and magnitude of system power fluctuations.
With these factors in mind, the Energy Efficient High-Performance Computing
Working Group (\EEHPCWG)~\cite{EEHPCWGweb} assembled a team to investigate how HPC centers
are using energy and power aware job scheduling and resource management capabilities.
The \EEHPCWG Energy and Power Aware Job Scheduling and Resource Management (\EPAJSRM)
team identified and surveyed major HPC sites that have either actively deployed or are engaged in technology development with the intention to deploy large-scale \EPAJSRM technologies in a production environment. 

With a geographically diverse high-performance-computing landscape,
the group tried to identify similarities and differences among the centers.
The survey spans from motivation to implementation, looking at system components 
impacted, user interaction and level of automation of the solution.
The questions try to be comprehensive in nature and span a wide range of 
information.  The intent is to give a clear picture of what exists and to allow for improved decision making for 
other centers when trying to advance or introduce \EPAJSRM solutions.

Each of the surveyed sites is unique in terms of
funding structure, geographical as well as geopolitical situation.
The combination of these factors has a strong impact on the possibilities
and approaches the sites are willing to take and can take.
Without such a survey, the agendas and conclusions that can be 
drawn stay hidden.

The survey conducted does not advocate a definite way for how HPC centers
should approach energy management from a job scheduling and resource management
standpoint, but rather gives a comprehensive overview on information
provided by centers actively pursuing this approach in production sites
backed by technology, research efforts and collaborations.

With a broad interest in EPA solutions, a lot of research is conducted and published in this 
area whereas, in contrast, publications are rare about technology that makes it into real production systems.   Since the technologies deployed in production systems are mature, relevant 
research questions should already be answered by then. 
There may, however, still be opportunities for research and the results of this survey may be of interest to the research and academic community. Understanding what is used and tried in production, and why, is a valuable point of information, to drive future directions.
Active vendor engagement is apparent in EPA solutions as well, since energy efficiency is a key
concern.  Most HPC centers are concerned with operational costs and energy efficiency and some even have a broader focus on sustainability.
A lot of vendors try to incorporate EPA solutions into at least part of their current portfolio, all 
emphasizing different aspects.
With funding agencies trying to keep low operational expenses, the
introduction of limits to power and energy consumption is sometimes even labeled with
a strict number.
This can be seen by initial exascale system forecasts, as well as current and
upcoming procurement announcements. 
To a lesser degree, this already started to become apparent in the petascale procurements (e.g.~\cite{procLRZ2010}).
All these factors show a heightened interest in EPA solutions in general, and with \EPAJSRM in particular.

To provide a context for the motivation of the EPA JSRM Team, a similar analysis done by the \EEHPCWG in different
subfields should be highlighted.
To better understand the interaction of electrical grid integration and
supercomputing centers, Bates et al.~\cite{Bates2015} carried out an
analysis of anticipated usage patterns of supercomputing centers and how
these can be safely integrated into power grid management for better cost
and risk management.
The paper highlighted possible partnerships and interactions of Electricity
Service Providers (ESPs) and Supercomputing Centers (SCs).
An extension to the European area was conducted in a subsequent study by
Patki et al.~\cite{Patki2016}, focused on the similarities and differences
of Electricity Service Provider-Supercomputing Center (ESP-SC) relationship
based on the geographic locations in Europe and the United States.
The focus of the cited work is again the interaction of demand management and SC
coordination, showing potentials, but also necessary regulatory and
technological steps.

The focus of this work is on steps and technological advances and approaches
taken by the supercomputing centers for job scheduling and resource management systems to
monitor, control and steer power and energy consumption at the SCs.

The remainder of this paper is structured as follows:
Section~\ref{Sec:Motiv} introduces a detailed insight on the motivation of
the \EEHPCWG \EPAJSRM team on the topic and why the survey was conducted.
Section~\ref{sec:Selection} gives an insight on selection criteria,
the sites selected, and the selection process, to clarify representation.
Section~\ref{sec:Questions} is the second main focus of this paper
highlighting the questions posed and explaining the reasoning behind these.
Section~\ref{sec:Analysis} links the planned next steps of the \EEHPCWG
for analysis and gives a short synopsis of the centers activities.
%introduces the necessary next steps of the
%\EEHPCWG to make the findings accessible to the community 
Section~\ref{sec:RelWork} gives a short overview of related work to
make clear how to position this work in the literature.
Finally, Section~\ref{sec:NextSteps} concludes the paper.

